#ifdef ARC_OPENGL_GRAPHICS

#include "arc/graphics/text.h"
#include <stdio.h>

void ARC_Text_Create(ARC_Text **text, ARC_String *path, int32_t size, ARC_Color color){
    printf("OpenGL Backend Selected\n");
}

void ARC_Text_Destroy(ARC_Text *font){
    printf("OpenGL Backend Selected\n");
}

void ARC_Text_SetString(ARC_Text *text, ARC_Renderer *renderer, ARC_String *string){
    printf("OpenGL Backend Selected\n");
}

void ARC_Text_Render(ARC_Text *text, ARC_Renderer *renderer){
    printf("OpenGL Backend Selected\n");
}

void ARC_Text_SetPos(ARC_Text *text, ARC_Point pos){
    printf("OpenGL Backend Selected\n");
}

#endif // !ARC_OPENGL_GRAPHICS